Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.distribution
Class BreitWignerMeanSquare

    java.lang.Object
      sim.util.distribution.AbstractDistribution
          sim.util.distribution.AbstractContinousDistribution
              sim.util.distribution.BreitWigner
                  sim.util.distribution.BreitWignerMeanSquare

All Implemented Interfaces:
  java.io.Serializable

    public class BreitWignerMeanSquare

extends BreitWigner

Mean-square BreitWigner distribution; See the math definition.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation: This is a port of RandBreitWigner used in CLHEP 1.4.0 (C++).

See Also:
  Serialized Form

Field Summary
`protected Uniform` | `uniform`

Fields inherited from class sim.util.distribution.BreitWigner
`cut, gamma, mean`

Fields inherited from class sim.util.distribution.AbstractDistribution
`randomGenerator`

Constructor Summary
`BreitWignerMeanSquare(double mean, double gamma, double cut, MersenneTwisterFast randomGenerator)` Constructs a mean-squared BreitWigner distribution.

Method Summary
`double` | `nextDouble(double mean, double gamma, double cut)` Returns a mean-squared random number from the distribution; bypasses the internal state.

Methods inherited from class sim.util.distribution.BreitWigner
`nextDouble, setState, toString`

Methods inherited from class sim.util.distribution.AbstractDistribution
`apply, apply, getRandomGenerator, nextInt, setRandomGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uniform

    protected Uniform uniform

Constructor Detail

### BreitWignerMeanSquare

    public BreitWignerMeanSquare(double mean,
                                 double gamma,
                                 double cut,
                                 MersenneTwisterFast randomGenerator)

  Constructs a mean-squared BreitWigner distribution.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

Method Detail

### nextDouble

    public double nextDouble(double mean,
                             double gamma,
                             double cut)

  Returns a mean-squared random number from the distribution; bypasses the internal state.

  Overrides:
    `nextDouble` in class `BreitWigner`
  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD